//
//	selectall
//	Called when the user clicks the Select All button
//
function execCommand ()
{
// first check how many messages are in the current view
var treeView = gDBView.QueryInterface(Components.interfaces.nsITreeView);
var numMessages = treeView.rowCount;
// then check if numSelectedMessages = numMessages (if all of the messages are selected)
var numSelMessages = treeView.selection.count;
if (numMessages == numSelMessages){
// all of the messages are already selected. We need to unselect them.
treeView.selection.clearSelection();
}else{
// either none or not all of the messages are selection. We need to select all of them.
treeView.selection.selectAll();
}

}
